Subject: Re: [PATCH net-next v3 00/24] Introducing OpenVPN Data Channel Offload

From: Jakub Kicinski <[email-masked]>
Date: Wed, 8 May 2024 17:53:27 -0700

On Wed, 8 May 2024 11:56:45 +0200 Antonio Quartulli wrote:
> I see there is one warning to fix due to a typ0 (eventS_wq vs event_wq), 
> but I also get more warnings like this:
> 
> drivers/net/ovpn/peer.h:119: warning: Function parameter or struct 
> member 'vpn_addrs' not described in 'ovpn_peer'
> 
> However vpn_addrs is an anonymous struct within struct ovpn_peer.
> I have already documented all its members using the form:
> 
> @vpn_addrs.ipv4
> @vpn_addrs.ipv6
> 
> Am I expected to document the vpn_addrs as well?
> Or is this a false positive?

I think we need to trust the script on what's expected. 
The expectations around documenting anonymous structs may have 
changed recently, I remember fixing this in my code, too.

BTW make sure you use -Wall, people started sending trivial
patches to fix those :S Would be best not to add new ones.